unit frmindex;
{$MODE ObjFPC}
{$H+}

interface

uses js, web, Classes, frmBase;

type
  
  { --------------------------------------------------------------------
    TIndexForm
    --------------------------------------------------------------------}
  
  TIndexForm = class(TBaseform) 
  Published
    navbar_burger : TJSHTMLElement;
    navbar_main : TJSHTMLElement;
    mnuUser : TJSHTMLElement;
    lblUser : TJSHTMLElement;
    mnuLogin : TJSHTMLElement;
    mnuLogout : TJSHTMLElement;
    form_parent : TJSHTMLElement;
  Public
    constructor create(aOwner : TComponent); override;
    procedure BindElements; virtual;
  end;

var
  IndexForm : TIndexForm;

implementation

{ --------------------------------------------------------------------
  TIndexForm
  --------------------------------------------------------------------}


constructor TIndexForm.create(aOwner : TComponent);

begin
  inherited;
  BindElements;

end;



procedure TIndexForm.BindElements;

begin
  navbar_burger:=TJSHTMLElement(document.getelementByID('navbar-burger'));
  navbar_main:=TJSHTMLElement(document.getelementByID('navbar-main'));
  mnuUser:=TJSHTMLElement(document.getelementByID('mnuUser'));
  lblUser:=TJSHTMLElement(document.getelementByID('lblUser'));
  mnuLogin:=TJSHTMLElement(document.getelementByID('mnuLogin'));
  mnuLogout:=TJSHTMLElement(document.getelementByID('mnuLogout'));
  form_parent:=TJSHTMLElement(document.getelementByID('form-parent'));
end;

end.
